import request from '@/utils/request'

// 查询无形资产列表
export function listIntangible(query) {
  return request({
    url: '/asset/intangible/list',
    method: 'get',
    params: query
  })
}

// 查询无形资产详细
export function getIntangible(id) {
  return request({
    url: '/asset/intangible/get/' + id,
    method: 'get'
  })
}

// 新增无形资产
export function addIntangible(data) {
  return request({
    url: '/asset/intangible/add',
    method: 'post',
    data: data
  })
}

// 修改无形资产
export function updateIntangible(data) {
  return request({
    url: '/asset/intangible/edit',
    method: 'post',
    data: data
  })
}

// 删除无形资产
export function delIntangible(id) {
  return request({
    url: '/asset/intangible/remove/' + id,
    method: 'get'
  })
}

// 导出无形资产
export function exportIntangible(query) {
  return request({
    url: '/asset/intangible/export',
    method: 'get',
    params: query
  })
}
